Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.jna.platform.win32
Interface WinCrypt

All Superinterfaces:
  com.sun.jna.AltCallingConvention, com.sun.jna.Library, com.sun.jna.win32.StdCall, com.sun.jna.win32.StdCallLibrary

    public interface WinCrypt

extends com.sun.jna.win32.StdCallLibrary

Ported from WinCrypt.h. Microsoft Windows SDK 6.0A.

Nested Class Summary
`static class` | `WinCrypt.CRYPTPROTECT_PROMPTSTRUCT` The CRYPTPROTECT_PROMPTSTRUCT structure provides the text of a prompt and information about when and where that prompt is to be displayed when using the CryptProtectData and CryptUnprotectData functions.
`static class` | `WinCrypt.DATA_BLOB` The CryptoAPI CRYPTOAPI_BLOB structure is used for an arbitrary array of bytes.

Nested classes/interfaces inherited from interface com.sun.jna.win32.StdCallLibrary
`com.sun.jna.win32.StdCallLibrary.StdCallCallback`

Nested classes/interfaces inherited from interface com.sun.jna.Library
`com.sun.jna.Library.Handler`

Field Summary
`static int` | `CRYPTPROTECT_AUDIT` Generate an Audit on protect and unprotect operations.
`static int` | `CRYPTPROTECT_CRED_REGENERATE` Regenerate the local machine protection.
`static int` | `CRYPTPROTECT_CRED_SYNC` Force credential synchronize during CryptProtectData() Synchronize is only operation that occurs during this operation.
`static int` | `CRYPTPROTECT_LOCAL_MACHINE` Per machine protected data -- any user on machine where CryptProtectData took place may CryptUnprotectData.
`static int` | `CRYPTPROTECT_NO_RECOVERY` Protect data with a non-recoverable key.
`static int` | `CRYPTPROTECT_PROMPT_ON_PROTECT` Prompt on protect.
`static int` | `CRYPTPROTECT_PROMPT_ON_UNPROTECT` Prompt on unprotect.
`static int` | `CRYPTPROTECT_PROMPT_REQUIRE_STRONG` Require strong variant UI protection (user supplied password currently).
`static int` | `CRYPTPROTECT_PROMPT_RESERVED` Reserved, don't use.
`static int` | `CRYPTPROTECT_PROMPT_STRONG` Default to strong variant UI protection (user supplied password currently).
`static int` | `CRYPTPROTECT_UI_FORBIDDEN` For remote-access situations where ui is not an option, if UI was specified on protect or unprotect operation, the call will fail and GetLastError() will indicate ERROR_PASSWORD_RESTRICTION.
`static int` | `CRYPTPROTECT_VERIFY_PROTECTION` Verify the protection of a protected blob.

Fields inherited from interface com.sun.jna.win32.StdCallLibrary
`FUNCTION_MAPPER, STDCALL_CONVENTION`

Fields inherited from interface com.sun.jna.Library
`OPTION_ALLOW_OBJECTS, OPTION_CALLING_CONVENTION, OPTION_FUNCTION_MAPPER, OPTION_INVOCATION_MAPPER, OPTION_STRUCTURE_ALIGNMENT, OPTION_TYPE_MAPPER`

Field Detail

### CRYPTPROTECT_PROMPT_ON_UNPROTECT

    static final int CRYPTPROTECT_PROMPT_ON_UNPROTECT

  Prompt on unprotect.

  See Also:
    Constant Field Values

### CRYPTPROTECT_PROMPT_ON_PROTECT

    static final int CRYPTPROTECT_PROMPT_ON_PROTECT

  Prompt on protect.

  See Also:
    Constant Field Values

### CRYPTPROTECT_PROMPT_RESERVED

    static final int CRYPTPROTECT_PROMPT_RESERVED

  Reserved, don't use.

  See Also:
    Constant Field Values

### CRYPTPROTECT_PROMPT_STRONG

    static final int CRYPTPROTECT_PROMPT_STRONG

  Default to strong variant UI protection (user supplied password currently).

  See Also:
    Constant Field Values

### CRYPTPROTECT_PROMPT_REQUIRE_STRONG

    static final int CRYPTPROTECT_PROMPT_REQUIRE_STRONG

  Require strong variant UI protection (user supplied password currently).

  See Also:
    Constant Field Values

### CRYPTPROTECT_UI_FORBIDDEN

    static final int CRYPTPROTECT_UI_FORBIDDEN

  For remote-access situations where ui is not an option, if UI was specified on protect or unprotect operation, the call will fail and GetLastError() will indicate ERROR_PASSWORD_RESTRICTION.

  See Also:
    Constant Field Values

### CRYPTPROTECT_LOCAL_MACHINE

    static final int CRYPTPROTECT_LOCAL_MACHINE

  Per machine protected data -- any user on machine where CryptProtectData took place may CryptUnprotectData.

  See Also:
    Constant Field Values

### CRYPTPROTECT_CRED_SYNC

    static final int CRYPTPROTECT_CRED_SYNC

  Force credential synchronize during CryptProtectData() Synchronize is only operation that occurs during this operation.

  See Also:
    Constant Field Values

### CRYPTPROTECT_AUDIT

    static final int CRYPTPROTECT_AUDIT

  Generate an Audit on protect and unprotect operations.

  See Also:
    Constant Field Values

### CRYPTPROTECT_NO_RECOVERY

    static final int CRYPTPROTECT_NO_RECOVERY

  Protect data with a non-recoverable key.

  See Also:
    Constant Field Values

### CRYPTPROTECT_VERIFY_PROTECTION

    static final int CRYPTPROTECT_VERIFY_PROTECTION

  Verify the protection of a protected blob.

  See Also:
    Constant Field Values

### CRYPTPROTECT_CRED_REGENERATE

    static final int CRYPTPROTECT_CRED_REGENERATE

  Regenerate the local machine protection.

  See Also:
    Constant Field Values

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD